import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("about_page_section_two_cms")
export class AboutPageSectionTwoCmsEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    title: string;

    @Column({ default: null, nullable: true })
    subTitle: string;

    @Column({ default: null, nullable: true })
    imageOne: string;

    @Column({ default: null, nullable: true })
    titleOne: string;

    @Column({ default: null, type: "longtext", nullable: true })
    descriptionOne: string;

    @Column({ default: null, nullable: true })
    imageTwo: string;

    @Column({ default: null, nullable: true })
    titleTwo: string;

    @Column({ default: null, type: "longtext", nullable: true })
    descriptionTwo: string;

    @Column({ default: null, nullable: true })
    imageThree: string;

    @Column({ default: null, nullable: true })
    titleThree: string;

    @Column({ default: null, type: "longtext", nullable: true })
    descriptionThree: string;
}
