import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("career_page_cms")
export class CareerPageCms extends CoreEntity {
    @Column({ default: null, nullable: true })
    heroSectionBgImage: string;

    @Column({ default: null, nullable: true })
    heroSectionTitleOne: string;

    @Column({ default: null, nullable: true })
    heroSectionTitleTwo: string;

    @Column({ default: null, type: "longtext", nullable: true })
    heroSectionDescription: string;

    @Column({ default: null, nullable: true })
    heroSectionBtnText: string;

    @Column({ default: null, nullable: true })
    heroSectionBtnLink: string;

    @Column({ default: null, nullable: true })
    sectionTwoTitle: string;

    @Column({ default: null, nullable: true })
    sectionTwoSubTitle: string;

    @Column({ default: null, type: "longtext", nullable: true })
    sectionTwoContentOne: string;

    @Column({ default: null, type: "longtext", nullable: true })
    sectionTwoContentTwo: string;

    @Column({ default: null, nullable: true })
    sectionTwoEndContent: string;
}
